---
updatedAt: 2026-09-29T10:54:46.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get wallet address record

# Overview

Use this method to retrieve a wallet record from the [Wallet Address Book](https://docs.sumsub.com/sumsub/docs/wallet-address-book) (WAB).

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **Manage TM transactions - Decisions** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

# Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/api/tr/walletAddress?value=sfsdfsdfsfsdfdsfds' \
     -H 'accept: application/json' \     
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response is a JSON object that represents the wallet address data retrieved from the WAB.

<Table>
  <thead>
    <tr>
      <th>
        Field
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `walletAddressHash`
      </td>

      <td>
        String
      </td>

      <td>
        Wallet address hash.
      </td>
    </tr>

    <tr>
      <td>
        `walletAddress`
      </td>

      <td>
        String
      </td>

      <td>
        Wallet address.
      </td>
    </tr>

    <tr>
      <td>
        `chain`
      </td>

      <td>
        String
      </td>

      <td>
        Blockchain network the wallet address belongs to (for example, `ETH`, `BTC`, `TRX`).
      </td>
    </tr>

    <tr>
      <td>
        `createdAt`
      </td>

      <td>
        Date
      </td>

      <td>
        Date and time the wallet address record was created in the WAB (for example, `2026-05-12 09:28:35+0000`).
      </td>
    </tr>

    <tr>
      <td>
        `source`
      </td>

      <td>
        String (Enum)
      </td>

      <td>
        The source the record was retrieved from.

        - `api` — imported via the API.
        - `dashboard` — added through the Dashboard.
        - `snsConfirmation` — added when a Sumsub client confirmed wallet ownership through the SNS protocol.
        - `applicantPaymentsApi` — added when a Sumsub client created a `cryptoWallet` payment method via the Applicant Payments API.
        - `vaspLookup` — retrieved from a VASP.
        - `applicantData` — retrieved from applicant data.
      </td>
    </tr>
  </tbody>
</Table>

# Response examples

If the request is successfully sent and processed, you will get a response like the following:

```json
{
  "walletAddressHash": "/x4bC/jRwDYK0IUhkBAjDb52qzokxgn6J8hxVO00000=",
  "walletAddress": "sfsdfsdfsfsdfdsfds",
  "chain": "ETH",
  "createdAt": "2026-05-12 09:28:35+0000",
  "source": "dashboard"
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "code": 400,
  "description": "Human-readable description",
  "correlationId": "0d3457fdac54803edf23c90000000000"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/api/tr/walletAddress": {
      "get": {
        "description": "",
        "responses": {
          "200": {
            "description": ""
          }
        },
        "parameters": [
          {
            "in": "query",
            "name": "value",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Wallet address or wallet address hash.\n\n⚠️ If hash is provided, it should be encrypted. Hash function is `sha256`."
          }
        ],
        "operationId": "get_resources-api-tr-walletaddress",
        "summary": "Get wallet address record"
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```